curl --request GET \
--url https://app.supercycle.com/api/v1/items/{itemId} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"activeRentalId": 123,
"productTitle": "<string>",
"serial": "<string>",
"sequentialId": 123,
"shopifyVariantId": 123,
"status": "processed",
"tags": [
"<string>"
],
"variantTitle": "<string>",
"visibility": "available",
"activeReturnId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"conditionId": 123,
"imageUrl": "<string>",
"location": {
"shopifyId": 123,
"name": "<string>"
},
"pickLocation": "<string>",
"shopifyProductId": 123,
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"customFields": [
{
"id": 123,
"ownerId": 123,
"ownerType": "Item",
"definitionId": 123,
"key": "<string>",
"value": "<string>",
"valueJson": "<unknown>"
}
]
}Returns all fields on an item. Can include timeline events if requested.
curl --request GET \
--url https://app.supercycle.com/api/v1/items/{itemId} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"activeRentalId": 123,
"productTitle": "<string>",
"serial": "<string>",
"sequentialId": 123,
"shopifyVariantId": 123,
"status": "processed",
"tags": [
"<string>"
],
"variantTitle": "<string>",
"visibility": "available",
"activeReturnId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"conditionId": 123,
"imageUrl": "<string>",
"location": {
"shopifyId": 123,
"name": "<string>"
},
"pickLocation": "<string>",
"shopifyProductId": 123,
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"customFields": [
{
"id": 123,
"ownerId": 123,
"ownerType": "Item",
"definitionId": 123,
"key": "<string>",
"value": "<string>",
"valueJson": "<unknown>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Numeric ID of the item to retrieve.
Expected response to a valid request
Numeric ID of the item.
processed, unprocessed available, unavailable, sold, retired Show child attributes
ID of the condition. May be null if no condition is set.
Location of the item in the warehouse.
Show child attributes
Physical location within warehouse using Zone-Aisle-Shelf-Bin format (e.g., "A1-02-B3"). May be null if no pick location is set.
Timeline events for this item
Show child attributes
Custom fields attached to this item
Show child attributes
Was this page helpful?